[Python-modules-commits] [python-macholib] 01/01: Added debian/git-tuneclone.sh script

IOhannes m zmölnig umlaeute at moszumanska.debian.org
Mon Nov 2 22:53:25 UTC 2015


This is an automated email from the git hooks/post-receive script.

umlaeute pushed a commit to branch master
in repository python-macholib.

commit 657f44e6379917f7230c10a2b6710f7b51500cca
Author: IOhannes m zmölnig <zmoelnig at umlautQ.umlaeute.mur.at>
Date:   Mon Nov 2 23:53:23 2015 +0100

    Added debian/git-tuneclone.sh script
    
    run the script in a freshly checked out repository for fine-tuning
---
 debian/git-tuneclone.sh | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/debian/git-tuneclone.sh b/debian/git-tuneclone.sh
new file mode 100755
index 0000000..59ac8c6
--- /dev/null
+++ b/debian/git-tuneclone.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+## script to initialize a cloned repository
+## with per (local) repository settings.
+
+# - ignore quilt's .pc/ directory
+# - enable the "--follow-tags" mode for pushing
+
+error() {
+ echo "$@" 1>&2
+}
+
+NAME=$(dpkg-parsechangelog -S Source)
+
+if [ "x${NAME}" = "x" ]; then
+ error "unable to determine package name"
+ error "make sure you run this script within a source package dir"
+ exit 1
+fi
+
+if [ ! -d ".git" ]; then
+ error "it seems like this source package is not under git control"
+ exit 1
+fi
+
+echo "tuning git-repository for ${NAME}"
+git config push.followTags true && echo "enabled push.followTags"
+
+GITEXCLUDE=".git/info/exclude"
+egrep "^/?\.pc/?$" "${GITEXCLUDE}" >/dev/null 2>&1 \
+  || (echo "/.pc/" >> "${GITEXCLUDE}" && echo "ignoring /.pc/")
+
+for branch in pristine-tar upstream master; do
+ git checkout "${branch}"
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-macholib.git



More information about the Python-modules-commits mailing list